org.keycloak.dom.saml.v2.ac

## Class PublicKeyType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.PublicKeyType

-     public class PublicKeyType
      extends Object

  Java class for PublicKeyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PublicKeyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="keyValidation" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExtensionType>` | `extension`
    `protected String` | `keyValidation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `String` | `getKeyValidation()` Gets the value of the keyValidation property.
    `void` | `setKeyValidation(String value)` Sets the value of the keyValidation property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extension

          protected List<ExtensionType> extension

    - #### keyValidation

          protected String keyValidation

  - ### Constructor Detail

    - #### PublicKeyType

          public PublicKeyType()

  - ### Method Detail

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

    - #### getKeyValidation

          public String getKeyValidation()

      Gets the value of the keyValidation property.
      Returns:
        possible object is `String`

    - #### setKeyValidation

          public void setKeyValidation(String value)

      Sets the value of the keyValidation property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.